using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FakeBank_DAL.Domains
{
    public abstract class Compte
    {
        public Compte()
        {
            Transactions = new List<Transaction>();
        }

        public int CompteId{ get; set; }
        public string Numero { get; set; }
        public decimal Solde { get; set; }
        public virtual List<Transaction> Transactions { get; set; }

        public void addTransaction(Transaction tr)
        {
            Transactions.Add(tr);
        }

    }


}
